Runtime

## org.eclipse.gmf.runtime.gef.ui.palette.customize
Interface IPaletteState

All Known Implementing Classes:
  PaletteDrawerState, PaletteEntryState

    public interface IPaletteState

An interface that defines the protocol that will allow the `PaletteCustomizer` store, rollback, and apply customizations to a palette entry.

Since:
  2.1

Method Summary
`void` `applyChangesFromMemento(IMemento memento)` Applies the changes from the memento to the palette entry.
`void` `rollback()` Applies the changes from the stored state to the palette entry.
`void` `storeChangesInMemento(IMemento memento)` Stores changes from the existing palette entry from the stored state into the memento.
`void` `storeState()` Stores the current state of the palette entry.

Method Detail

### storeState

    void storeState()

  Stores the current state of the palette entry.

### rollback

    void rollback()

  Applies the changes from the stored state to the palette entry.

### storeChangesInMemento

    void storeChangesInMemento(IMemento memento)

  Stores changes from the existing palette entry from the stored state into the memento.

  Parameters:
    `memento` - the memento in which to store the palette entry's customizations

### applyChangesFromMemento

    void applyChangesFromMemento(IMemento memento)

  Applies the changes from the memento to the palette entry.

  Parameters:
    `memento` - the memento from which to retrieve the palette entry's customizations

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.